
% SCS and PSD radiometer comparisons
%DEW Oct 18, 2006
%clear
load d:\data\PSDrad 
load d:\data\SCSrad


if 1
    % DEW Oct 15, 2006 IR comparison
    %figure;plot(gpstim./24+ddd,ir,'r') % DEW 5/21/2007
    figure;plot(jdscs,ir,'r')  % DEW 5/21/2007
    hold
    plot(jad,pir1)
    plot(jad,pir2,'g')
    axis([jad(1),jad(1)+1,300,max(pir1)+50])

    title('SCS and ETL IR')
    xlabel('Julian Day')
    ylabel('W/m**2')
    legend('SCS','PIR1','PIR2','Location','NorthWest')
        print_buffer=['-djpeg90 F:/AMMA_2007/RHB/flux/Raw_Images/pir' jd '.jpg']
    eval(['print ' print_buffer]);

    
    
      % DEW Oct 15, 2006 IR comparison
    %figure;plot(gpstim./24+ddd,solar,'r')
    figure;plot(jdscs,solar,'r')
    hold
    plot(jad,psp1)
    plot(jad,psp2,'g')
    axis([jad(1),jad(1)+1,-10,1200])
    title('SCS and ETL SW')
    xlabel('Julian Day')
    ylabel('W/m**2')
    legend('SCS','PSP1','PSP2','Location','NorthWest')
    print_buffer=['-djpeg90 F:/AMMA_2007/RHB/flux/Raw_Images/psp' jd '.jpg']
    eval(['print ' print_buffer]);
end %%


