
clear all;
close all;

load UH_PMS
jduh = jd;
clear jd

load PSD_PMS
jdpsd = jd;
clear jd




figure(1)
set(gcf,'defaultaxesfonts',12)
set(gca,'fontname','time','fontsize',10);
subplot(3,1,1)

% DEW Oct 18,2006
%% UH channels
semilogy(jduh,chn(:,1),'k.')  %.3
hold on
semilogy(jdpsd,c1*100,'b.')  %.5
h=legend('UH 0.3 \mum','PSD 0.3 \mum','orientation','horizontal','location','bestoutside');
set(h,'fontsize',8)
ylabel('Particles (m^{-3})');
%ylim([10^0 10^6])
title(['AMMA 2007 PMS '])
%xlabel('Julian Day (UTC)')
%xlim([129 131]);

subplot(3,1,2)
semilogy(jduh,chn(:,2),'k.')
hold
semilogy(jdpsd,c2*100,'b.')
%h=legend('0.3 \mum','0.5 \mum','0.7 \mum','0.1.2 \mum','5 \mum','10 \mum','orientation','horizontal','location','bestoutside');
h=legend('UH 0.5 \mum','PSD 0.5 \mum','orientation','horizontal','location','bestoutside');
set(h,'fontsize',8)
ylabel('Particles (m^{-3})');
%ylim([10^0 10^6])
%title(['AMMA 2007 PMS '])
%xlabel('Julian Day (UTC)')
ar = axis;

subplot(3,1,3)
semilogy(jdpsd,fl,'r')
%title('AMMA07  flow=2.829e4')
xlabel('Julian Day (UTC)')
ylabel('Flow Rate (cc/min)')
%axis([ar(1) ar(2) ar(3) ar(4)])

%xlim([129 131]);
%ylim([1000 1000000])
print_buffer = ['-djpeg90 F:\AMMA_2007\RHB\aerosol\Raw_Images\AMMA07_PSDUH_PMS.' '.jpg'];
eval(['print ',print_buffer]);



